Skip to content
impulseDOCS
Get Started

Get Search service metadata and capabilities

GET
/v1/projects/{project_id}/services/{service_id}
curl --request GET \
--url 'https://api-dev.impulsehosting.com/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?live=false' \
--header 'Authorization: Bearer <token>'
project_id
required
string format: uuid
service_id
required
string format: uuid
live
boolean

Include safe scoped control-plane health.

Search service

Media typeapplication/json
object
id
required
string format: uuid
project_id
required
string format: uuid
type
required
string
Allowed value: search
plan
required
string
name
required
string
status
required
string
endpoint
string format: uri
capabilities
object
live
object
enabled
boolean
reveal_credential
object
enabled
boolean
actions
Array<object>
object
name
required
string
Allowed values: service_health get_usage list_indexes create_index delete_index query list_api_keys rotate_credentials generate_tenant_credential list_tasks get_task list_snapshots create_snapshot restore_snapshot list_domains add_domain remove_domain
label
required
string
enabled
required
boolean
scopes
Array<string>
reason
string
live
object
key
additional properties
any
Example
{
"type": "search",
"capabilities": {
"actions": [
{
"name": "service_health"
}
]
}
}

Resource not found

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}